extends ../base.jade

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name: 'id',type: 'hidden'},{name: 'name_ru',title: __('name')+' (RU)',type: 'string', required: true}, {name: 'name_en',title: __('name')+' (EN)',type: 'string', required: true}]
  //- - var schema = [
  //-   {
  //-     name: 'id',
  //-     type: 'hidden'
  //-   },
  //-   {
  //-     name: 'name_ru',
  //-     title: __('name')+' (RU)',
  //-     type: 'string',
  //-     required: true
  //-   },
  //-   {
  //-     name: 'name_en',
  //-     title: __('name')+' (EN)',
  //-     type: 'string',
  //-     required: true
  //-   }
  //- ]


block main
  .PW.isle
    if action === 'create'
      h2= __('new_tag')
    else 
      a.toRight.Fsg(href='/tag/'+ tag.id +'/remove')= __('remove')
      h2= __('edit_tag')

    form(method="POST", action= "/tag"+(action === 'edit'? '/'+tag.id : ''))
      input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(tag, schema, req.getLocale())
      button.button.active.UC(type="submit")= (action === 'create')? __('create') : __('save_changes')